Next Previous Contents

## 3.67 gotox

> Function

>   Move the text mode cursor to a new X position.

> Header

>   `conio.h`

> Declaration

>   `void __fastcall__ gotox (unsigned char x);`

> Description

>   The function moves the text mode cursor to the specified X position while leaving the Y position untouched. The leftmost position on the screen has the coordinate 0.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - Invalid values for the X position (out of screen coordinates) may lead to undefined behaviour.
> Availability

>   cc65

> See also

>   gotoy, gotoxy, wherex, wherey

> Example

>   None.

Next Previous Contents